summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2005-05-24 02:20:03 +0000
committerMike Frysinger <vapier@gentoo.org>2005-05-24 02:20:03 +0000
commit10aad232723efabda14442df6bb6229d8bcde72e (patch)
tree2305d9ce3ec6b731ce651200fa448b634a1c8b68 /eclass
parentmask use flag scanner at geomans suggestion on mips (diff)
downloadgentoo-2-10aad232723efabda14442df6bb6229d8bcde72e.tar.gz
gentoo-2-10aad232723efabda14442df6bb6229d8bcde72e.tar.bz2
gentoo-2-10aad232723efabda14442df6bb6229d8bcde72e.zip
only try to patch bounds checking if we want it
Diffstat (limited to 'eclass')
-rw-r--r--eclass/toolchain.eclass3
1 files changed, 2 insertions, 1 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index 0dedbef98706..e01a94512a66 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.150 2005/05/24 00:42:59 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.151 2005/05/24 02:20:03 vapier Exp $
HOMEPAGE="http://www.gnu.org/software/gcc/gcc.html"
LICENSE="GPL-2 LGPL-2.1"
@@ -1651,6 +1651,7 @@ exclude_gcc_patches() {
}
do_gcc_HTB_boundschecking_patches() {
+ want_boundschecking || return 1
# modify the bounds checking patch with a regression patch
epatch "${WORKDIR}/bounds-checking-${PN}-${HTB_GCC_VER}-${HTB_VER}.patch"
release_version="${release_version}, HTB-${HTB_GCC_VER}-${HTB_VER}"